import { defineConfig, presetUno,presetWind , presetAttributify, presetIcons } from 'unocss'
const parseStyle = (style) => {
    const [key, value] = style.split(':');
    return { [key.trim()]: value.trim() };
};
export default defineConfig({
    presets: [
        presetWind(), // 使用默认的 UnoCSS 预设
        presetIcons()
    ],
    theme: {
        colors: {
            primary: '#2B69A1', // 自定义主色
            secondary: '#9333EA', // 自定义副色
            accent: '#F59E0B', // 自定义强调色
            // 你可以继续添加更多颜色
        }
    },
    rules: [
        // 处理 focus 伪类
        [/^focus:(.*)$/, ([, style]) => ({ ':focus': { ...parseStyle(style) } })],
        // 处理 placeholder 伪元素
        [/^placeholder:(.*)$/, ([, style]) => ({ '::placeholder': { ...parseStyle(style) } })],
    ],
    shortcuts: {
        'flex-center': 'flex justify-center items-center',
    },
})
